#!/bin/sh

## Create a Julia image with Symata precompiled.
## The precompilation statements are generated by the Symata test suite.

## See documentation for PackageCompiler for an explanation of the code below.
## After generating symataimage.so, run the image with
## > julia -J /path/to/symataimage.so
## You have to call `run_repl()` before entering the repl with the `=` character

# output Julia image
IMAGE=symataimage.so

# Temporary file storing method calls for precompilation are stored here.
PRECOMPILE=symata_precompile.jl

julia --trace-compile="${PRECOMPILE}" -e "using Symata; Symata.run_testsuite(); Symata.setkerneloptions(:bigint_input, true); Symata.run_testsuite()"

julia -e "using PackageCompiler; PackageCompiler.create_sysimage(:Symata; precompile_statements_file=\"${PRECOMPILE}\", sysimage_path=\"${IMAGE}\", replace_default=false)"
